MacDocParser Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
MacDocParser Class Reference

the main class to read a MacDoc file More...

`#include <MacDocParser.hxx>`

Inheritance diagram for MacDocParser:

## Public Member Functions
| MacDocParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor More...
virtual | ~MacDocParser ()
| destructor More...
bool | checkHeader (MWAWHeader *header, bool strict=false)
| checks if the document header is correct (or not) More...
void | parse (librevenge::RVNGTextInterface *documentInterface)
| virtual function used to parse the input More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWListenerPtr | getMainListener ()
| returns the main listener More...
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener More...
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
void | init ()
| inits all internal variables More...
void | createDocument (librevenge::RVNGTextInterface *documentInterface)
| creates the listener which will be associated to the document More...
void | newPage (int number)
| adds a new page More...
bool | createZones ()
| finds the different objects zones More...
bool | sendContents ()
| try to send the contents More...
bool | sendPicture (MWAWEntry const &entry)
| try to send a picture More...
bool | readFont (MWAWEntry const &entry)
| try to read a font index entry More...
bool | readIndex (MWAWEntry const &entry)
| try to read an index entry More...
int | updateIndex (int actIndex, int actLevel)
| try to set the index level and return the next index value (or -1) More...
bool | readBookmark (MWAWEntry const &entry)
| try to read a bookmark entry More...
bool | readFile (MWAWEntry const &entry)
| try to read a file entry More...
bool | readWP (MWAWEntry const &entry)
| try to read a MDwp entry (window pos?) More...
bool | sendIndex ()
| try to send the index More...
MWAWInputStreamPtr | rsrcInput ()
| return the input input More...
libmwaw::DebugFile & | rsrcAscii ()
| a DebugFile used to write what we recognize when we parse the document in rsrc More...
Protected Member Functions inherited from MWAWTextParser
| MWAWTextParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWTextParser (MWAWParserStatePtr state)
| constructor using a state More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener More...
void | resetPresentationListener ()
| resets the listener More...
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener More...
void | resetTextListener ()
| resets the listener More...
void | setFontConverter (MWAWFontConverterPtr fontConverter)
| sets the font convertor More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes
shared_ptr< MacDocParserInternal::State > | m_state
| the state More...

## Friends
class | MCDText

## Detailed Description

the main class to read a MacDoc file

## Constructor & Destructor Documentation

MacDocParser::MacDocParser | ( | MWAWInputStreamPtr | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

constructor

MacDocParser::~MacDocParser | ( |  | ) |
| virtual

destructor

## Member Function Documentation

bool MacDocParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = `false`
| ) |  |
| virtual

checks if the document header is correct (or not)

no data fork, may be ok, but this means that the file contains no text, so...

Implements MWAWParser.

Referenced by parse().

void MacDocParser::createDocument | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

bool MacDocParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by parse().

void MacDocParser::init | ( |  | ) |
| protected

inits all internal variables

Referenced by MacDocParser().

void MacDocParser::newPage | ( | int | number | ) |
| protected

adds a new page

Referenced by sendContents().

void MacDocParser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| virtual

virtual function used to parse the input

Implements MWAWTextParser.

bool MacDocParser::readBookmark | ( | MWAWEntry const & | entry | ) |
| protected

try to read a bookmark entry

Referenced by createZones().

bool MacDocParser::readFile | ( | MWAWEntry const & | entry | ) |
| protected

try to read a file entry

Referenced by createZones().

bool MacDocParser::readFont | ( | MWAWEntry const & | entry | ) |
| protected

try to read a font index entry

Referenced by createZones().

bool MacDocParser::readIndex | ( | MWAWEntry const & | entry | ) |
| protected

try to read an index entry

Referenced by createZones().

bool MacDocParser::readWP | ( | MWAWEntry const & | entry | ) |
| protected

try to read a MDwp entry (window pos?)

Referenced by createZones().

libmwaw::DebugFile & MacDocParser::rsrcAscii | ( |  | ) |
| protected

a DebugFile used to write what we recognize when we parse the document in rsrc

Referenced by createZones(), readBookmark(), readFile(), readFont(), readIndex(), and readWP().

MWAWInputStreamPtr MacDocParser::rsrcInput | ( |  | ) |
| protected

return the input input

Referenced by readBookmark(), readFile(), readFont(), readIndex(), readWP(), and sendIndex().

bool MacDocParser::sendContents | ( |  | ) |
| protected

try to send the contents

Referenced by parse().

bool MacDocParser::sendIndex | ( |  | ) |
| protected

try to send the index

Referenced by sendContents().

bool MacDocParser::sendPicture | ( | MWAWEntry const & | entry | ) |
| protected

try to send a picture

Referenced by sendContents().

int MacDocParser::updateIndex | ( | int | actIndex,
|  | int | actLevel
| ) |  |
| protected

try to set the index level and return the next index value (or -1)

Referenced by sendIndex().

## Friends And Related Function Documentation

friend class MCDText
| friend

## Member Data Documentation

shared_ptr<MacDocParserInternal::State> MacDocParser::m_state
| protected

the state

Referenced by checkHeader(), createDocument(), createZones(), init(), newPage(), readFont(), readIndex(), sendContents(), sendIndex(), and updateIndex().

The documentation for this class was generated from the following files:

- MacDocParser.hxx
- MacDocParser.cxx